PYLUPDATE4(1)

NAME
pylupdate4 - create or update Qt Linguist translation files for PyQt4 applications

SYNOPSIS
pylupdate4 [OPTION]... PROJECT-FILE
pylupdate4 [OPTION]... SOURCE... -ts TRANSLATION-FILE...

DESCRIPTION
pylupdate4 reads a qmake project file (.pro), finds the translatable strings in the specified sources and updates the translation files (.ts files) specified in it. The translation files are given to the translator who can use Qt Linguist to read the files and insert the translations.
The .ts file format is a simple human-readable XML format that can be used with version control systems if required.

OPTIONS

-help
    Show a summary of the options.

-version
    Display the version number of pylupdate4 of the version of Qt which PyQt4 was generated for.

-noobsolete
    Drop all obsolete strings.

-verbose
    Increase verbosity.

AUTHOR
This manual page was written for Debian GNU/Linux by and Torsten Marek <shlomme@debian.org>, but may freely be used by others.